%define name 		ncftp
%define version		3.0.3
%define release		3mdk
%define _localstatedir	/var

Summary:	An improved FTP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group: 		Networking/File transfer
URL:		http://www.ncftp.com
BuildRequires:	gpm-devel ncurses-devel
License:	Artistic
Source0:	ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.bz2
Source1:	%{name}-16.xpm.bz2
Source2:	%{name}-32.xpm.bz2
Source3:	%{name}-48.xpm.bz2
Patch0:		ncftp-confirm.patch.bz2 
Patch1:		ncftp-DESTDIR.patch.bz2
Patch2:		ncftp-303-v6-20010421.diff.bz2
Patch3: 	ncftp-3.0.3-resume.patch.bz2
# yves 3.0.3-1mdk
# this patch comes from ftp://ftp.kame.net/pub/kame/misc
# more info on http://www.ipv6.org/v6-apps.html

BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

%prep

%setup -q
%patch0 -p0 -b .confirm 
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .res

%build
%configure --enable-signals --enable-ipv6
%make

%install
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}


%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir} 

install -d $RPM_BUILD_ROOT%{_libdir}/menu/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(ncftp):needs="text" section="Networking/File transfer" \
title="NCFtp" command="/usr/bin/ncftp" \
longtitle="An improved FTP client." \
icon="%{name}.xpm"
EOF

# mdk icon
install -d $RPM_BUILD_ROOT%{_datadir}/icons/mini
install -d $RPM_BUILD_ROOT%{_datadir}/icons/large
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_datadir}/icons/mini/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_datadir}/icons/large/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -fr $RPM_BUILD_ROOT;


%files
%defattr(-,root,root)
%doc CHANGELOG *README LICENSE.txt WHATSNEW-3.0 
%{_libdir}/menu/%{name}
%{_bindir}/ncftp*
%{_mandir}/man1/ncftp*
%{_iconsdir}/*.xpm
%{_iconsdir}/mini/*.xpm
%{_iconsdir}/large/*.xpm

%changelog
* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-3mdk
- Use new icons

* Mon Jul 16 2001 Yves Duret <yduret@mandrakesoft.com> 3.0.3-2mdk
- rebuild
- Default to auto-resume=yes (rh #28705) by patch3

* Tue May  1 2001 Yves Duret <yduret@mandrakesoft.com> 3.0.3-1mdk
- version 3.0.3 for general usage
- added ipv6 support (patch2)
- spec clean up: globing for %%files, typo
- added URL tag

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 3.0.2-2mdk
- use %make macro
- fixed some file's permission
- fixed menu entry
- added a large icon

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2.

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 3.0.1-8mdk
- icons should be tranparents.

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 3.0.1-7mdk
- add icons
 
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-6mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.1-4mdk
- use new macros in post and postun scripts

* Thu Jul 06 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 3.0.1-3mdk.ipv6
- IPv6 support

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-3mdk
- Fix and use a real %%doc

* Wed Apr  5 2000 Denis Havlik <denis@mandrakesoft.com> 3.0.1-2mdk
- fixed source path

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.1-1mdk
- Add menu.
- Change license to Artistic.
- spec-helper purification.
- Upgrade groups.
- 3.0.1 final (correct a lot of bugs).

* Fri Jan  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0beta21-4mdk
- sed 's/1/True/'

* Wed Jan  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0beta21-3mdk
- Oxygen Release.
- Disble confirmation in exit by default.
